#
# spec file for package prometheus-webhook-snmp
#
# Copyright (c) 2019-2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:           prometheus-webhook-snmp
Version:        1.4
Release:        3.2
Summary:        Prometheus Alertmanager receiver for SNMP traps
License:        GPL-3.0
Group:          System/Management
URL:            https://github.com/SUSE/prometheus-webhook-snmp
Source0:        %{name}-%{version}.tar.gz
Patch0:	harden_prometheus-webhook-snmp.service.patch
BuildArch:      noarch

BuildRequires:  python3-setuptools

Requires:       python3-prometheus_client
Requires:       python3-click
%if 0%{?suse_version}
Requires:       python3-CherryPy
Requires:       python3-PyYAML
%else
Requires:       python3-cherrypy
Requires:       python3-yaml
%endif
Requires:       python3-dateutil
Requires:       python3-pysnmp >= 4.4.1

%description
prometheus-webhook-snmp is a Prometheus Alertmanager receiver that
translates incoming notifications into SNMP traps.

%prep
%autosetup -p1

%build

%install
make install DESTDIR=%{buildroot} DOCDIR=%{_docdir} PYTHON3_SITELIB=%{python3_sitelib} UNITDIR=%{_unitdir}

%pre
%service_add_pre %{name}.service

%post
%service_add_post %{name}.service

%preun
%service_del_preun %{name}.service

%postun
%service_del_postun %{name}.service

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%dir %{python3_sitelib}/prometheus_webhook_snmp
%{python3_sitelib}/prometheus_webhook_snmp/__init__.py
%{python3_sitelib}/prometheus_webhook_snmp/utils.py
%{_unitdir}/%{name}.service

%changelog
* Thu Feb 29 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN.
* Wed Oct 20 2021 Johannes Segitz <jsegitz@suse.com>
- Added hardening to systemd service(s) (bsc#1181400). Added patch(es):
  * harden_prometheus-webhook-snmp.service.patch
* Thu May 14 2020 Volker Theile <vtheile@suse.com>
- Update to version 1.4
  * Issue #22: Prevent Python type errors when sending an SNMP trap. (bsc#1172083)
* Wed Mar 25 2020 Volker Theile <vtheile@suse.com>
- Update to version 1.3
  * Add 'trap-default-severity' configuration option.
  * Harden the notification parser. (bsc#1171471)
  version 1.2
  * Show used configuration settings in debug mode.
  * Load configuration file from the directory in which the prometheus-webhook-snmp command is located.
  * Automatically convert hyphens to underscores in configuration file parameters.
* Tue Dec  3 2019 Volker Theile <vtheile@suse.com>
- Change package dependency to python3-prometheus_client.
* Thu Nov 14 2019 Volker Theile <vtheile@suse.com>
- Add _service file to fetch package from git.
* Tue May 14 2019 Volker Theile <vtheile@suse.com>
- Add support for global configuration file /etc/prometheus-webhook-snmp.conf
- Add ability to configure systemd service via /etc/default/prometheus-webhook-snmp
- Added python3-PyYAML as new dependency
- python3-pysnmp needs to be at least 4.4.1
* Tue May  7 2019 Volker Theile <vtheile@suse.com>
- Initial package (1.0) for openSUSE
